 
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

public class CalculatorServer {

   public CalculatorServer() {
     try {
        Calculator c = new CalculatorImpl();
		Registry reg = LocateRegistry.createRegistry(1199);
		reg.bind("CalculatorService", c);
		System.out.println("Server RMI 2 started on port " + 1199);       
     } catch (Exception e) {
       System.out.println("Trouble: " + e);
     }
   }

   public static void main(String args[]) {
     new CalculatorServer();
   }
}

